KoreanTokenizer.DecompoundMode (Lucene 10.5.1 nori API)
Description: declaration: package: org.apache.lucene.analysis.ko, class: KoreanTokenizer, enum: DecompoundMode

Package org.apache.lucene.analysis.ko

# Enum Class KoreanTokenizer.DecompoundMode

java.lang.Object
java.lang.Enum<KoreanTokenizer.DecompoundMode>
org.apache.lucene.analysis.ko.KoreanTokenizer.DecompoundMode

All Implemented Interfaces:
  `Serializable`, `Comparable<KoreanTokenizer.DecompoundMode>`, `Constable`

Enclosing class:
  `KoreanTokenizer`

public static enum KoreanTokenizer.DecompoundMode extends Enum<KoreanTokenizer.DecompoundMode>
Decompound mode: this determines how the tokenizer handles `POS.Type.COMPOUND`, `POS.Type.INFLECT` and `POS.Type.PREANALYSIS` tokens.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DISCARD`
  Decompose compounds and discards the original form (default).
  `MIXED`
  Decompose compounds and keeps the original form.
  `NONE`
  No decomposition for compound.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static KoreanTokenizer.DecompoundMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static KoreanTokenizer.DecompoundMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final KoreanTokenizer.DecompoundMode NONE
    No decomposition for compound.

  - ### DISCARD

    public static final KoreanTokenizer.DecompoundMode DISCARD
    Decompose compounds and discards the original form (default).

  - ### MIXED

    public static final KoreanTokenizer.DecompoundMode MIXED
    Decompose compounds and keeps the original form.

- ## Method Details

  - ### values

    public static KoreanTokenizer.DecompoundMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static KoreanTokenizer.DecompoundMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null